Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.reboot
Class MuleContainerWrapper

    java.lang.Object
      org.mule.module.reboot.MuleContainerWrapper

All Implemented Interfaces:
  org.tanukisoftware.wrapper.WrapperListener

    public class MuleContainerWrapper

extends Object
implements org.tanukisoftware.wrapper.WrapperListener

Field Summary
`protected static String` | `CLASSNAME_MULE_CONTAINER`

Constructor Summary
`MuleContainerWrapper()`

Method Summary
`void` | `controlEvent(int event)` Called whenever the native wrapper code traps a system control signal against the Java process.
`protected ClassLoader` | `createContainerSystemClassLoader()`
`Integer` | `start(String[] args)` The start method is called when the WrapperManager is signaled by the native wrapper code that it can start its application.
`int` | `stop(int exitCode)` Called when the application is shutting down.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSNAME_MULE_CONTAINER

    protected static final String CLASSNAME_MULE_CONTAINER

See Also:
  Constant Field Values

Constructor Detail

### MuleContainerWrapper

    public MuleContainerWrapper()

Method Detail

### start

    public Integer start(String[] args)

  The start method is called when the WrapperManager is signaled by the native wrapper code that it can start its application. This method call is expected to return, so a new thread should be launched if necessary.

  Specified by:
    `start` in interface `org.tanukisoftware.wrapper.WrapperListener`
  Parameters:
    `args` - List of arguments used to initialize the application.
  Returns:
    Any error code if the application should exit on completion of the start method. If there were no problems then this method should return null.

### createContainerSystemClassLoader

    protected ClassLoader createContainerSystemClassLoader()
                                                    throws Exception

  Throws:
    `Exception`

### stop

    public int stop(int exitCode)

  Called when the application is shutting down. The Wrapper assumes that this method will return fairly quickly. If the shutdown code code could potentially take a long time, then WrapperManager.signalStopping() should be called to extend the timeout period. If for some reason, the stop method can not return, then it must call WrapperManager.stopped() to avoid warning messages from the Wrapper.

  Specified by:
    `stop` in interface `org.tanukisoftware.wrapper.WrapperListener`
  Parameters:
    `exitCode` - The suggested exit code that will be returned to the OS when the JVM exits.
  Returns:
    The exit code to actually return to the OS. In most cases, this should just be the value of exitCode, however the user code has the option of changing the exit code if there are any problems during shutdown.

### controlEvent

    public void controlEvent(int event)

  Called whenever the native wrapper code traps a system control signal against the Java process. It is up to the callback to take any actions necessary. Possible values are: WrapperManager.WRAPPER_CTRL_C_EVENT, WRAPPER_CTRL_CLOSE_EVENT, WRAPPER_CTRL_LOGOFF_EVENT, or WRAPPER_CTRL_SHUTDOWN_EVENT

  Specified by:
    `controlEvent` in interface `org.tanukisoftware.wrapper.WrapperListener`
  Parameters:
    `event` - The system control signal.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.